       IDENTIFICATION DIVISION.
       PROGRAM-ID.    CBLQSMC1.
       AUTHOR.        SIMOTIME TECHNOLOGIES.
      *****************************************************************
      * Copyright (C) 1987-2019 SimoTime Technologies.                *
      *                                                               *
      * All rights reserved.  Unpublished, all rights reserved under  *
      * copyright law and international treaty.  Use of a copyright   *
      * notice is precautionary only and does not imply publication   *
      * or disclosure.                                                *
      *                                                               *
      * Permission to use, copy, modify and distribute this software  *
      * for any non-commercial purpose and without fee is hereby      *
      * granted, provided the SimoTime copyright notice appear on all *
      * copies of the software. The SimoTime name or Logo may not be  *
      * used in any advertising or publicity pertaining to the use    *
      * of the software without the written permission of SimoTime    *
      * Technologies.                                                 *
      *                                                               *
      * Permission to use, copy, modify and distribute this software  *
      * for any commercial purpose requires a fee to be paid to       *
      * SimoTime Technologies. Once the fee is received by SimoTime   *
      * the latest version of the software will be delivered and a    *
      * license will be granted for use within an enterprise,         *
      * provided the SimoTime copyright notice appear on all copies   *
      * of the software. The SimoTime name or Logo may not be used    *
      * in any advertising or publicity pertaining to the use of the  *
      * software without the written permission of SimoTime           *
      * Technologies.                                                 *
      *                                                               *
      * SimoTime Technologies makes no warranty or representations    *
      * about the suitability of the software for any purpose. It is  *
      * provided "AS IS" without any expressed or implied warranty,   *
      * including the implied warranties of merchantability, fitness  *
      * for a particular purpose and non-infringement. SimoTime       *
      * Technologies shall not be liable for any direct, indirect,    *
      * special or consequential damages resulting from the loss of   *
      * use, data or projects, whether in an action of contract or    *
      * tort, arising out of or in connection with the use or         *
      * performance of this software                                  *
      *                                                               *
      * SimoTime Technologies                                         *
      * 15 Carnoustie Drive                                           *
      * Novato, CA 94949-5849                                         *
      * 415.883.6565                                                  *
      *                                                               *
      * RESTRICTED RIGHTS LEGEND                                      *
      * Use, duplication, or disclosure by the Government is subject  *
      * to restrictions as set forth in subparagraph (c)(1)(ii) of    *
      * the Rights in Technical Data and Computer Software clause at  *
      * DFARS 52.227-7013 or subparagraphs (c)(1) and (2) of          *
      * Commercial  Computer Software - Restricted Rights  at 48      *
      * CFR 52.227-19, as applicable.  Contact SimoTime Technologies, *
      * 15 Carnoustie Drive, Novato, CA 94949-5849.                   *
      *                                                               *
      *****************************************************************
      *      This program is provided by SimoTime Technologies        *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *                                                               *
      *****************************************************************
      *
      *****************************************************************
      * Source Member: CBLQSMC1.CBL
      *****************************************************************
      *
      * CBLQSMC1 - Call CBLQSMC2 to access a KSDS, VSAM file.
      *
      * CALLING PROTOCOL
      * ----------------
      * Use standard procedure to RUN or ANIMATE.
      *
      * DESCRIPTION
      * -----------
      * This program will call a COBOL routine to access a
      * QSAM or Sequential file for sequential processing.
      *
      *
      *   ************
      *   * CBLCBLJ1 *
      *   ********jcl*
      *        *
      *   ************
      *   * IEFBR14  *
      *   ********utl*
      *        *
      *   ************                   ************
      *   * CBLQSMC1 *-------------------* Display  *
      *   ********cbl*                   ************
      *        *   *
      *        *   ***************call*********
      *        *                              *
      *        *                              *
      *        *        ************     ************
      *        *        * QSAM0080 *-----* CBLQSMC2 *
      *        *        ********get*     ********cbl*
      *        *
      *   ************
      *   *   EOJ    *
      *   ************
      *
      *
      *
      *****************************************************************
      *
      * MAINTENANCE
      * -----------
      * 1997/02/27 Simmons, Created program.
      * 1997/02/27 Simmons, No changes to date.
      *
      *****************************************************************
      *
       ENVIRONMENT DIVISION.
       DATA DIVISION.

       WORKING-STORAGE SECTION.
      *****************************************************************
      *    Data-structure for Title and Copyright...
      *    ------------------------------------------------------------
       01  SIM-TITLE.
           05  T1 pic X(11) value '* CBLQSMC1 '.
           05  T2 pic X(34) value 'Sample, COBOL calls COBOL for I/O '.
           05  T3 pic X(10) value ' v03.01.24'.
           05  T4 pic X(24) value ' http://www.simotime.com'.
       01  SIM-COPYRIGHT.
           05  C1 pic X(11) value '* CBLQSMC1 '.
           05  C2 pic X(20) value 'Copyright 1987-2019 '.
           05  C3 pic X(28) value '   SimoTime Technologies    '.
           05  C4 pic X(20) value ' All Rights Reserved'.

       01  SIM-THANKS-01.
           05  C1 pic X(11) value '* CBLQSMC1 '.
           05  C2 pic X(32) value 'Thank you for using this program'.
           05  C3 pic X(32) value ' provided from SimoTime Technolo'.
           05  C4 pic X(04) value 'gies'.

       01  SIM-THANKS-02.
           05  C1 pic X(11) value '* CBLQSMC1 '.
           05  C2 pic X(32) value 'Please send all inquires or sugg'.
           05  C3 pic X(32) value 'estions to the helpdesk@simotime'.
           05  C4 pic X(04) value '.com'.

      *****************************************************************
       01  REQUEST-OPEN            pic X(8)    value 'OPEN    '.
       01  REQUEST-GET             pic X(8)    value 'GET     '.
       01  REQUEST-CLOSE           pic X(8)    value 'CLOSE   '.
       01  REQUEST-KEY             pic X(6).

       01  END-OF-FILE             pic X(3)    value 'NO '.

       01  OPERATOR-MESSAGE        pic X(48).

      *****************************************************************
      *    Data Structure used for calling CBLQSMC2.
      *    The calling statement is as follows...
      *    CALL 'CBLQSMC2' USING PASS-AREA
      *
       01  PASS-AREA.
           05  PASS-REQUEST            pic X(8).
           05  PASS-RESULT             pic S9(9)   comp.
               88  NORMAL-RESULT       value 0.
               88  COBOL-RESULT-SAME   value 8.
               88  EOF-RESULT          value 16.
           05  PASS-RECORD.
               10  PASS-KEY            pic X(6).
               10  PASS-INFO           pic X(74).

      *****************************************************************
       PROCEDURE DIVISION.

           perform Z-POST-COPYRIGHT

           display '* CBLQSMC1 OPEN Request...'.
           perform OPEN-THE-FILE.
           display '* CBLQSMC1 OPEN Complete...'.

           perform until END-OF-FILE = 'YES'
               if  END-OF-FILE = 'NO '
                   move REQUEST-GET to PASS-REQUEST
                   move REQUEST-KEY to PASS-KEY
                   perform GET-NEXT-RECORD
                   if  END-OF-FILE = 'NO '
                       display PASS-INFO
                   end-if
               end-if
           end-perform.

           perform CLOSE-THE-FILE.
           display '* CBLQSMC1 has COMPLETED...'

           perform Z-THANK-YOU.

           GOBACK.

      *****************************************************************
       GET-NEXT-RECORD.
           call 'CBLQSMC2' using PASS-AREA.
           if  NORMAL-RESULT
               CONTINUE
           else
               if  EOF-RESULT
                   move 'YES' to END-OF-FILE
               else
                   move '* CBLQSMC1 QKSD001F, Failure, GET...'
                     to OPERATOR-MESSAGE
                   perform Z-ABEND-MESSAGE
                   add 12 to ZERO giving RETURN-CODE
                   STOP RUN
               end-if
           end-if
           exit.
      *---------------------------------------------------------------*
       OPEN-THE-FILE.
           add 8 to ZERO giving PASS-RESULT.
           move REQUEST-OPEN to PASS-REQUEST.
           call 'CBLQSMC2' using PASS-AREA.
           if  NORMAL-RESULT
               CONTINUE
           else
               move '* CBLQSMC1 QKSD001F, Failure, OPEN...'
                 to OPERATOR-MESSAGE
               perform Z-ABEND-MESSAGE
               add 12 to ZERO giving RETURN-CODE
               STOP RUN
           end-if
           exit.
      *---------------------------------------------------------------*
       CLOSE-THE-FILE.
           add 8 to ZERO giving PASS-RESULT.
           move REQUEST-CLOSE to PASS-REQUEST.
           call 'CBLQSMC2' using PASS-AREA.
           if  NORMAL-RESULT
               CONTINUE
           else
               move '* CBLQSMC1 QSAM0080, Failure, CLOSE...'
                 to OPERATOR-MESSAGE
               perform Z-ABEND-MESSAGE
               add 12 to ZERO giving RETURN-CODE
               add 12 to RETURN-CODE
               STOP RUN
           end-if
           exit.

      *****************************************************************
      * The following Z-Routines perform administrative functions     *
      * for this program.                                             *
      *****************************************************************

      *****************************************************************
       Z-ABEND-MESSAGE.
           if  OPERATOR-MESSAGE not = SPACES
               perform Z-DISPLAY-CONSOLE-MESSAGE
           else
               move '* CBLQSMC1 is ABENDING...'  to OPERATOR-MESSAGE
               perform Z-DISPLAY-CONSOLE-MESSAGE
           end-if
           exit.

      *****************************************************************
       Z-DISPLAY-CONSOLE-MESSAGE.
           display OPERATOR-MESSAGE upon console
           move SPACES to OPERATOR-MESSAGE
           exit.

      *****************************************************************
       Z-POST-COPYRIGHT.
           display SIM-TITLE
           display SIM-COPYRIGHT
           exit.

      *****************************************************************
       Z-THANK-YOU.
           display SIM-THANKS-01
           display SIM-THANKS-02
           exit.
      *****************************************************************
      *      This example is provided by SimoTime Technologies        *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
