@echo OFF
rem  * *******************************************************************
rem  *               QSMCRTE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using IEBGENER.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The first job step (DeleteTEXT) will delete any previously created
rem  * files.
rem  * The second job step (CreateTEXT) will create a new ASCII/Text file.
rem  * The third step will convert the Line Sequential file to a Record
rem  * Sequential file.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *
rem  *                      ************
rem  *                      * QSMCRTE1 *
rem  *                      ********cmd*
rem  *                           *
rem  *                           *
rem  *                      ************
rem  *                      * Env1BASE *
rem  *                      ********cmd*
rem  *                           *
rem  *                           *
rem  *                      ************     ************
rem  *                      * if exist ******* TEXT0080 *
rem  *                      ************     ***delete***
rem  *                           *
rem  *                           *
rem  *     ************     ************     ************
rem  *     *  SYSIN   *******   echo   ******* TEXT0080 *
rem  *     ********cmd*     ********utl*     *******qsam*
rem  *                           *
rem  *                           *
rem  *                      ************
rem  *                      *   EOJ    *
rem  *                      ************
rem  *
rem  * *******************************************************************
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobName=QsmCrtE1
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%, v13.03.04, User is %USERNAME%"
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set TEXT0080=%BaseLib1%\Data\Txt1\TEXT0080.txt
rem  *
rem  * *******************************************************************
rem  * Step   1 of 2  Create and populate a new ASCII/TEXT file...
rem  *
     call SimoNOTE "Identify JobStep Create an ASCII/Text File"
     if exist %TEXT0080% del %TEXT0080%
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7.
     echo 000100 Anderson       Adrian    111 Peachtree Plaza     Atlanta        GA 26101 >%TEXT0080%
     echo 000200 Brown          Billie    222 Baker Boulevard     Baltimore      MD 35702 >>%TEXT0080%
     echo 000300 Carson         Cameron   333 Crenshaw Blvd.      Cupertino      CA 96154 >>%TEXT0080%
     echo 000400 Davidson       Dion      444 Main Street         Wilmington     DE 27323 >>%TEXT0080%
     echo 000500 Everest        Evan      555 5TH Avenue          New York       NY 10341 >>%TEXT0080%
     echo 000600 Franklin       Francis   666 66TH Avenue         Bedrock        NY 11903 >>%TEXT0080%
     echo 000700 Garfunkel      Gwen      777 77TH Street         New York       NY 16539 >>%TEXT0080%
     echo 000800 Harrison       Hilary    888 88TH Street         Pocatello      ID 79684 >>%TEXT0080%
     echo 000900 Isley          Isabel    999 99TH Avenue         Indianapolis   IN 38762 >>%TEXT0080%
     echo 001000 Johnson        Jamie     1010 Paradise Drive     Larkspur       CA 90504 >>%TEXT0080%
     echo 001100 Kemper         Kelly     1111 Oak Circle         Kansas City    KS 55651 >>%TEXT0080%
     echo 001200 Lemond         Lesley    1212 Lockwood Road      Mohave Desert  AZ 80303 >>%TEXT0080%
     echo 001300 Mitchell       Marlow    1313 Miller Creek Road  Anywhere       TX 77123 >>%TEXT0080%
     echo 001400 Newman         Noel      1414 Park Avenue        Santa Monica   CA 90210 >>%TEXT0080%
     echo 001500 Osborn         Owen      1515 Center Stage       Rolling Rock   PA 36613 >>%TEXT0080%
     echo 001600 Powell         Pierce    PO Box 1616             Ventura        CA 97712 >>%TEXT0080%
     echo 001700 Quigley        Quincy    1717 Farm Hill Road     Oshkosh        WI 43389 >>%TEXT0080%
     echo 001800 Ripley         Ray       1818 Alien Lane         Wayout         KS 55405 >>%TEXT0080%
     echo 001900 Smith          Sammy     1919 Carnoustie Drive   Novato         CA 94919 >>%TEXT0080%
     echo 002000 Tucker         Taylor    2020 Sanger Lane        St. Paul       MN 43998 >>%TEXT0080%
     echo 002100 Underwood      Ulysses   2121 Wall Street        New York       NY 17623 >>%TEXT0080%
     echo 002200 Van Etten      Valerie   2222 Vine Street        Hollywood      CA 98775 >>%TEXT0080%
     echo 002300 Wilson         Wiley     2323 Main Street        Boston         MA 01472 >>%TEXT0080%
     echo 002400 Xray           Xavier    2424 24TH Street        Nashville      TN 44190 >>%TEXT0080%
     echo 002500 Young          Yanni     2525 Yonge Street       Toronto        ON 6B74A6>>%TEXT0080%
     echo 002600 Zenith         Zebulon   2626 26TH Street        Dallas         TX 71922 >>%TEXT0080%
     echo 123456 Doe            John      123 Main Street         Anywhere       OR 88156 >>%TEXT0080%
     if exist %TEXT0080% call SimoNOTE "Produced DataSet %TEXT0080%"
     if not exist %TEXT0080% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step   2 of 2  Convert ASCII/TEXT file to Record Sequential File...
rem  *
     call SimoNOTE "Identify JobStep Convert Line Sequential to Record Sequential"
     set GETLS080=%TEXT0080%
     set PUTRS080=%BaseLib1%\Data\Asc1\SIMOTIME.DATA.QSAM0080.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if exist %PUTRS080% call SimoNOTE "Produced DataSet %PUTRS080%"
     if not exist %PUTRS080% set JobStatus=9002
     if not %JobStatus% == 0000 goto :EojNok
rem  *
:EojAok
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING JobName %JobName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
