@echo OFF
rem  * *******************************************************************
rem  *               QSMDELE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Delete the Sequential Data Sets for QSAM0080.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The 1st job step (DeleteTEXT) will delete TEXT0080.TXT
rem  * The 2nd job step (DeleteQSAM) will delete QSAM0080.DAT
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  * *******************************************************************
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobName=QsmDelE1
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%, v13.03.04, User is %USERNAME%"
rem  *
:DeleteTEXT
     set TEXT0080=%BaseLib1%\Data\Txt1\TEXT0080.TXT
     call SimoNOTE "Identify JobStep Delete %TEXT0080%"
     if exist %TEXT0080% del %TEXT0080%
:DeleteQSAM
     set QSAM0080=%BaseLib1%\Data\Asc1\SIMOTIME.DATA.QSAM0080.DAT
     call SimoNOTE "Identify JobStep Delete %QSAM0080%"
     if exist %QSAM0080% del %QSAM0080%
rem  *
:EojAok
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
